Bug 97269 - Mozilla-1.4 processes remain open after the Mozilla window is closed.
Mozilla-1.4 processes remain open after the Mozilla window is closed.
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: mozilla (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-12 09:16 EDT by Alexander Farley
Modified: 2007-04-18 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 11:29:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Farley 2003-06-12 09:16:42 EDT
Description of problem: Mozilla processes continue to run even after the Mozilla
window is closed. This means that the next time Mozilla is run Mozilla complains
that the "default" profile is already being used and that another profile needs
to be created to run Mozilla. Killing the Mozilla process manually resolves this
issue and the "default" profile can be used again.


Version-Release number of selected component (if applicable):
mozilla-1.4-4.i386.rpm

How reproducible:
almost always

Steps to Reproduce:
1.Run Mozilla in "default" proile.
2.Close Mozilla window and log out of account.
3.Log back into account and start Mozilla.
    
Actual results:
Mozilla stated "default" profile was already being used.

Expected results:
The Mozilla process would die when the Mozilla window was closed or the
"default" account would be usable after a Mozilla window was closed and the user
account was closed.

Additional info:
This is a minor inconvenience for someone who knows that the Mozilla process is
still running and needs to be killed manually to access the "default" profile
again. However, inexperienced users were stuck and did not know what to do.
Comment 1 Alexander Farley 2003-06-12 09:36:00 EDT
This bug seems to be very close to bug# 84596 is not a duplicate. The
description of Bug# 84596 is a little different, but the outcome is the same. 
Comment 2 Alexander Farley 2003-06-12 09:42:00 EDT
Oops, the previous comment should read This bug seems to be very close to Bug#
84596 if not a duplicate.
Comment 3 Alexander Farley 2003-07-22 17:46:59 EDT
I have not noticed this problem lately, perhaps the bug has been fixed.
Comment 4 Christopher Blizzard 2003-08-22 14:18:20 EDT
I haven't seen it in a while, but I'm pretty sure it's still a problem.  Darin,
who does lots of the networking for the browser, says that it will be fixed as
part of the DNS rewrite that he's been working on.

It's actually a delay, not a true hang.  Once the DNS request in question times
out, the browser will exit.
Comment 5 Zack Cerza 2004-07-21 15:37:43 EDT
Does the problem still exist in the current version?
Comment 6 David Lawrence 2006-04-10 11:29:22 EDT
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you

Note You need to log in before you can comment on or make changes to this bug.